### Method

# St Icon get_icon_name

#### Declaration [src]

    const gchar*
    st_icon_get_icon_name (
      StIcon* icon
    )

#### Description [src]

This is a convenience method to get the icon name of the current icon, if it is currently a `GThemedIcon`, or `NULL` otherwise.

Gets property | `St.Icon:icon-name`

#### Return value

Type: `const gchar*`

The name of the icon or `NULL`.

The data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.